Index: vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/SDStorageItem.java
===================================================================
--- vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/SDStorageItem.java	(revision 844)
+++ vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/SDStorageItem.java	(revision 858)
@@ -1,74 +1,174 @@
 package de.dass_it.vanhelsing.gui.items;
 public class SDStorageItem extends ItemType implements UserObjectItem{
+	/**
+	 * @uml.property  name="name"
+	 */
 	private String name;
-	private String workingDirectory;
-	private String pidDirectory;
-	private String heartbeatInterval;
-	private String clientConnectWait;
-	private String maximumConcurrentJobs;
-	private String sdAddresses;
-	private String sdPort;
-	private String sdAddress;
+	/**
+	 * @uml.property  name="workingdirectory"
+	 */
+	private String workingdirectory;
+	/**
+	 * @uml.property  name="piddirectory"
+	 */
+	private String piddirectory;
+	/**
+	 * @uml.property  name="heartbeatinterval"
+	 */
+	private String heartbeatinterval;
+	/**
+	 * @uml.property  name="clientconnectwait"
+	 */
+	private String clientconnectwait;
+	/**
+	 * @uml.property  name="maximumconcurrentjobs"
+	 */
+	private String maximumconcurrentjobs;
+	/**
+	 * @uml.property  name="sdaddresses"
+	 */
+	private String sdaddresses;
+	/**
+	 * @uml.property  name="sdport"
+	 */
+	private String sdport;
+	/**
+	 * @uml.property  name="sdaddress"
+	 */
+	private String sdaddress;
 
 	public SDStorageItem() {}
 	public SDStorageItem(String name, String workingDirectory, String pidDirectory) {
 		setName(name);
-		setWorkingDirectory(workingDirectory);
-		setPidDirectory(pidDirectory);
+		setWorkingdirectory(workingdirectory);
+		setPiddirectory(piddirectory);
 	}
+	/**
+	 * @return
+	 * @uml.property  name="name"
+	 */
 	public String getName() {
 		return name;
 	}
+	/**
+	 * @param name
+	 * @uml.property  name="name"
+	 */
 	public void setName(String name) {
 		this.name = name;
 	}
-	public String getWorkingDirectory() {
-		return workingDirectory;
+	/**
+	 * @return
+	 * @uml.property  name="workingdirectory"
+	 */
+	public String getWorkingdirectory() {
+		return workingdirectory;
 	}
-	public void setWorkingDirectory(String workingDirectory) {
-		this.workingDirectory = workingDirectory;
+	/**
+	 * @param workingdirectory
+	 * @uml.property  name="workingdirectory"
+	 */
+	public void setWorkingdirectory(String workingdirectory) {
+		this.workingdirectory = workingdirectory;
 	}
-	public String getPidDirectory() {
-		return pidDirectory;
+	/**
+	 * @return
+	 * @uml.property  name="piddirectory"
+	 */
+	public String getPiddirectory() {
+		return piddirectory;
 	}
-	public void setPidDirectory(String pidDirectory) {
-		this.pidDirectory = pidDirectory;
+	/**
+	 * @param piddirectory
+	 * @uml.property  name="piddirectory"
+	 */
+	public void setPiddirectory(String piddirectory) {
+		this.piddirectory = piddirectory;
 	}
-	public String getHeartbeatInterval() {
-		return heartbeatInterval;
+	/**
+	 * @return
+	 * @uml.property  name="heartbeatinterval"
+	 */
+	public String getHeartbeatinterval() {
+		return heartbeatinterval;
 	}
-	public void setHeartbeatInterval(String heartbeatInterval) {
-		this.heartbeatInterval = heartbeatInterval;
+	/**
+	 * @param heartbeatinterval
+	 * @uml.property  name="heartbeatinterval"
+	 */
+	public void setHeartbeatinterval(String heartbeatinterval) {
+		this.heartbeatinterval = heartbeatinterval;
 	}
-	public String getClientConnectWait() {
-		return clientConnectWait;
+	/**
+	 * @return
+	 * @uml.property  name="clientconnectwait"
+	 */
+	public String getClientconnectwait() {
+		return clientconnectwait;
 	}
-	public void setClientConnectWait(String clientConnectWait) {
-		this.clientConnectWait = clientConnectWait;
+	/**
+	 * @param clientconnectwait
+	 * @uml.property  name="clientconnectwait"
+	 */
+	public void setClientconnectwait(String clientconnectwait) {
+		this.clientconnectwait = clientconnectwait;
 	}
-	public String getMaximumConcurrentJobs() {
-		return maximumConcurrentJobs;
+	/**
+	 * @return
+	 * @uml.property  name="maximumconcurrentjobs"
+	 */
+	public String getMaximumconcurrentjobs() {
+		return maximumconcurrentjobs;
 	}
-	public void setMaximumConcurrentJobs(String maximumConcurrentJobs) {
-		this.maximumConcurrentJobs = maximumConcurrentJobs;
+	/**
+	 * @param maximumconcurrentjobs
+	 * @uml.property  name="maximumconcurrentjobs"
+	 */
+	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
+		this.maximumconcurrentjobs = maximumconcurrentjobs;
 	}
-	public String getSdAddresses() {
-		return sdAddresses;
+	/**
+	 * @return
+	 * @uml.property  name="sdaddresses"
+	 */
+	public String getSdaddresses() {
+		return sdaddresses;
 	}
-	public void setSdAddresses(String sdAddresses) {
-		this.sdAddresses = sdAddresses;
+	/**
+	 * @param sdaddresses
+	 * @uml.property  name="sdaddresses"
+	 */
+	public void setSdaddresses(String sdaddresses) {
+		this.sdaddresses = sdaddresses;
 	}
-	public String getSdPort() {
-		return sdPort;
+	/**
+	 * @return
+	 * @uml.property  name="sdport"
+	 */
+	public String getSdport() {
+		return sdport;
 	}
-	public void setSdPort(String sdPort) {
-		this.sdPort = sdPort;
+	/**
+	 * @param sdport
+	 * @uml.property  name="sdport"
+	 */
+	public void setSdport(String sdport) {
+		this.sdport = sdport;
 	}
-	public String getSdAddress() {
-		return sdAddress;
+	/**
+	 * @return
+	 * @uml.property  name="sdaddress"
+	 */
+	public String getSdaddress() {
+		return sdaddress;
 	}
-	public void setSdAddress(String sdAddress) {
-		this.sdAddress = sdAddress;
+	/**
+	 * @param sdaddress
+	 * @uml.property  name="sdaddress"
+	 */
+	public void setSdaddress(String sdaddress) {
+		this.sdaddress = sdaddress;
 	}
+
 	
 }
